#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

# SysInit Option 
# if install card includes sysinit.tar.gz extract it into /home/root
if [ -f "$1/afs_image/hwgen1/sysinit_1.tar.gz" ]; then
	echo "sysinitstarted" > $1/afs_image/hwgen1/sysinitstarted >> $LOG_FILE
	sync
	echo "Initializing default data from sysinit.tar.gz" >> $LOG_FILE
	tar -xzf $1/afs_image/hwgen1/sysinit_1.tar.gz -C $HOME_DIR
	rm -f $1/afs_image/hwgen1/sysinitstarted
	sync
fi

if [ "$(uname -r)" == "2.6.28.10" ]; then
  echo "configurationstarted" > "$1/afs_image/hwgen1/sysinitstarted" >> $LOG_FILE
  if [ ! -f /usr/bin/libprotobuf.so.9.0.0 ]; then
    cp "$1/afs_image/hwgen1/libprotobuf.so.9.0.0" /usr/lib
    ln -s /usr/lib/libprotobuf.so.9.0.0 /usr/lib/libprotobuf.so.9
  fi
  if [ ! -f /usr/lib/libstdc\+\+.so.6.0.19 ]; then
    cp "$1/afs_image/hwgen1/libstdc\+\+.so.6.0.19" /usr/lib
    if [ ! -f /usr/lib/libstdc\+\+.so.6 ]; then
      rm -rf /usr/lib/libstdc\+\+.so.6
    fi
    ln -s /usr/lib/libstdc\+\+.so.6.0.19 /usr/lib/libstdc\+\+.so.6
  fi
  rm "$1/afs_image/hwgen1/sisinitstarted"
fi
